import { IgCollection } from "igniteui-webcomponents-core";
import { markType } from "igniteui-webcomponents-core";
import { SyncableObservableCollection$2 } from "igniteui-webcomponents-core";
import { LayoutPrimaryKeyValue as LayoutPrimaryKeyValue_internal } from './LayoutPrimaryKeyValue';
import { IgcLayoutPrimaryKeyValue as IgcLayoutPrimaryKeyValue } from './igc-layout-primary-key-value';
export class IgcLayoutSelectedKeysCollection extends IgCollection {
    constructor(list) {
        super();
        if (!IgcLayoutPrimaryKeyValue.$type) {
            IgcLayoutPrimaryKeyValue.$type = markType(IgcLayoutPrimaryKeyValue, "IgcLayoutPrimaryKeyValue");
        }
        if (list) {
            for (let i = 0; i < list.length; i++) {
                this.add(list[i]);
            }
        }
    }
    _createInnerColl() {
        if (!IgcLayoutPrimaryKeyValue.$type) {
            IgcLayoutPrimaryKeyValue.$type = markType(IgcLayoutPrimaryKeyValue, "IgcLayoutPrimaryKeyValue");
        }
        let coll = new SyncableObservableCollection$2(IgcLayoutPrimaryKeyValue.$type, LayoutPrimaryKeyValue_internal.$type, 0);
        coll.compare = (ext, int) => {
            let comp = ext;
            if (comp._implementation) {
                comp = comp._implementation;
            }
            if (comp.equals) {
                return comp.equals(int);
            }
            return comp === int;
        };
        coll.createTo = (ext) => {
            return ext._implementation;
        };
        coll.createFrom = (int) => {
            let ext = int.externalObject;
            if (!ext) {
                ext = new IgcLayoutPrimaryKeyValue();
                if (ext) {
                    if (!int.$type && ext._implementation.setNativeElement) {
                        ext._implementation.setNativeElement(int);
                    }
                    else {
                        ext._implementation = int;
                    }
                }
            }
            return ext;
        };
        return coll;
    }
}
