import { __extends } from "tslib";
import { IgCollection } from "igniteui-webcomponents-core";
import { markType } from "igniteui-webcomponents-core";
import { SyncableObservableCollection$2 } from "igniteui-webcomponents-core";
import { LayoutPrimaryKeyValue as LayoutPrimaryKeyValue_internal } from './LayoutPrimaryKeyValue';
import { IgcLayoutPrimaryKeyValue as IgcLayoutPrimaryKeyValue } from './igc-layout-primary-key-value';
var IgcLayoutSelectedKeysCollection = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgcLayoutSelectedKeysCollection, _super);
    function IgcLayoutSelectedKeysCollection(list) {
        var _this = _super.call(this) || this;
        if (!IgcLayoutPrimaryKeyValue.$type) {
            IgcLayoutPrimaryKeyValue.$type = markType(IgcLayoutPrimaryKeyValue, "IgcLayoutPrimaryKeyValue");
        }
        if (list) {
            for (var i = 0; i < list.length; i++) {
                _this.add(list[i]);
            }
        }
        return _this;
    }
    IgcLayoutSelectedKeysCollection.prototype._createInnerColl = function () {
        if (!IgcLayoutPrimaryKeyValue.$type) {
            IgcLayoutPrimaryKeyValue.$type = markType(IgcLayoutPrimaryKeyValue, "IgcLayoutPrimaryKeyValue");
        }
        var coll = new SyncableObservableCollection$2(IgcLayoutPrimaryKeyValue.$type, LayoutPrimaryKeyValue_internal.$type, 0);
        coll.compare = function (ext, int) {
            var comp = ext;
            if (comp._implementation) {
                comp = comp._implementation;
            }
            if (comp.equals) {
                return comp.equals(int);
            }
            return comp === int;
        };
        coll.createTo = function (ext) {
            return ext._implementation;
        };
        coll.createFrom = function (int) {
            var ext = int.externalObject;
            if (!ext) {
                ext = new IgcLayoutPrimaryKeyValue();
                if (ext) {
                    if (!int.$type && ext._implementation.setNativeElement) {
                        ext._implementation.setNativeElement(int);
                    }
                    else {
                        ext._implementation = int;
                    }
                }
            }
            return ext;
        };
        return coll;
    };
    return IgcLayoutSelectedKeysCollection;
}(IgCollection));
export { IgcLayoutSelectedKeysCollection };
