import { IgcToolActionComponent } from "./igc-tool-action-component";
import { ToolActionIconButton } from "./ToolActionIconButton";
export declare class IgcToolActionIconButtonComponent extends IgcToolActionComponent {
    protected createImplementation(): ToolActionIconButton;
    /**
                                 * @hidden
                                 */
    get i(): ToolActionIconButton;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    private static _observedAttributesIgcToolActionIconButtonComponent;
    static get observedAttributes(): string[];
    static htmlTagName: string;
    protected static _isElementRegistered: boolean;
    static register(): void;
    /**
     * Gets or sets how long it takes before the tooltip is displayed (in milliseconds).
    */
    get tooltipDelay(): number;
    set tooltipDelay(v: number);
    /**
     * Gets the actual delay before the tooltip is displayed (in milliseconds).
    */
    get actualTooltipDelay(): number;
    set actualTooltipDelay(v: number);
    get contentPaddingLeft(): number;
    set contentPaddingLeft(v: number);
    get actualContentPaddingLeft(): number;
    set actualContentPaddingLeft(v: number);
    get contentPaddingTop(): number;
    set contentPaddingTop(v: number);
    get actualContentPaddingTop(): number;
    set actualContentPaddingTop(v: number);
    get contentPaddingRight(): number;
    set contentPaddingRight(v: number);
    get actualContentPaddingRight(): number;
    set actualContentPaddingRight(v: number);
    get contentPaddingBottom(): number;
    set contentPaddingBottom(v: number);
    get actualContentPaddingBottom(): number;
    set actualContentPaddingBottom(v: number);
    cleanUp(): void;
    openSubMenu(): void;
    closeSubmenu(): void;
    exportVisualData(): any;
}
