import { IgcToolActionComponent } from "./igc-tool-action-component";
import { ToolActionCheckbox } from "./ToolActionCheckbox";
export declare class IgcToolActionCheckboxComponent extends IgcToolActionComponent {
    protected createImplementation(): ToolActionCheckbox;
    /**
                                 * @hidden
                                 */
    get i(): ToolActionCheckbox;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    private static _observedAttributesIgcToolActionCheckboxComponent;
    static get observedAttributes(): string[];
    static htmlTagName: string;
    protected static _isElementRegistered: boolean;
    static register(): void;
    /**
     * Gets or sets if the tool action is checked.
    */
    get isChecked(): boolean;
    set isChecked(v: boolean);
    /**
     * Gets or sets the background color of the checkbox when in the unchecked state.
    */
    get uncheckedBackgroundColor(): string;
    set uncheckedBackgroundColor(v: string);
    /**
     * Gets the actual background color of the checkbox when in the unchecked state.
    */
    get actualUncheckedBackgroundColor(): string;
    set actualUncheckedBackgroundColor(v: string);
    /**
     * Gets or sets the background color of the checkbox when in the checked state.
    */
    get checkedBackgroundColor(): string;
    set checkedBackgroundColor(v: string);
    /**
     * Gets the actual background color of the checkbox when in the checked state.
    */
    get actualCheckedBackgroundColor(): string;
    set actualCheckedBackgroundColor(v: string);
    /**
     * Gets or sets the border color of the checkbox when in the unchecked state.
    */
    get uncheckedBorderColor(): string;
    set uncheckedBorderColor(v: string);
    /**
     * Gets the actual border color of the checkbox when in the unchecked state.
    */
    get actualUncheckedBorderColor(): string;
    set actualUncheckedBorderColor(v: string);
    /**
     * Gets or sets the border color of the checkbox when in the checked state.
    */
    get checkedBorderColor(): string;
    set checkedBorderColor(v: string);
    /**
     * Gets the actual border color of the checkbox when in the checked state.
    */
    get actualCheckedBorderColor(): string;
    set actualCheckedBorderColor(v: string);
}
