import { IgcLayoutSelectedKeysCollection } from "./igc-layout-selected-keys-collection";
import { IgcToolActionComponent } from "./igc-tool-action-component";
import { ToolActionCheckboxList } from "./ToolActionCheckboxList";
export declare class IgcToolActionCheckboxListComponent extends IgcToolActionComponent {
    protected createImplementation(): ToolActionCheckboxList;
    /**
                                 * @hidden
                                 */
    get i(): ToolActionCheckboxList;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    private static _observedAttributesIgcToolActionCheckboxListComponent;
    static get observedAttributes(): string[];
    static htmlTagName: string;
    protected static _isElementRegistered: boolean;
    static register(): void;
    /**
     * Gets or sets if the tool action is checked.
    */
    get dataSource(): any;
    set dataSource(v: any);
    /**
     * Gets or sets if the tool action is checked.
    */
    get selectedMemberPath(): string;
    set selectedMemberPath(v: string);
    /**
     * Gets or sets if the tool action is checked.
    */
    get dataMemberPath(): string;
    set dataMemberPath(v: string);
    /**
     * Gets or sets if the tool action is checked.
    */
    get primaryKey(): string[];
    set primaryKey(v: string[]);
    private _selectedKeys;
    /**
    
    */
    get selectedKeys(): IgcLayoutSelectedKeysCollection;
    set selectedKeys(v: IgcLayoutSelectedKeysCollection);
    findByName(name: string): any;
}
